## dms-shell-git-0.6.2.r159.g1b6d567-1-x86 64.pkg

=== xdg/quickshell/dms/distro/debian/dms/debian/changelog ===
dms (0.6.2) stable; urgency=medium

  * Update to v0.6.2 release
  * Fix binary download paths for OBS builds
  * Native format: removed revisions

 -- Avenge Media <AvengeMedia.US@gmail.com>  Tue, 19 Nov 2025 10:00:00 -0500
