=== xdg/quickshell/dms/distro/ubuntu/danklinux/danksearch/debian/changelog ===
danksearch (0.0.7ppa3) questing; urgency=medium

  * Rebuild for packaging fixes (ppa3)

 -- Avenge Media <AvengeMedia.US@gmail.com>  Fri, 21 Nov 2025 14:19:58 -0500
